DMAC< T > Class Template Reference

DMAC message authentication code. More...

Inheritance diagram for DMAC< T >:

## Public Member Functions

| DMAC ()
| Construct a DMAC.
| DMAC (const byte *key, size_t length=DMAC_Base< T >::DEFAULT_KEYLENGTH)
| Construct a DMAC. More...
Public Member Functions inherited from MessageAuthenticationCodeFinal< DMAC_Base< T > >
| MessageAuthenticationCodeFinal ()
| Construct a default MessageAuthenticationCodeFinal. More...
| MessageAuthenticationCodeFinal (const byte *key)
| Construct a BlockCipherFinal. More...
| MessageAuthenticationCodeFinal (const byte *key, size_t length)
| Construct a BlockCipherFinal. More...
Public Member Functions inherited from ClonableImpl< DERIVED, BASE >
Clonable * | Clone () const
| Create a copy of this object. More...

## Detailed Description

### template<class T>
class DMAC< T >

DMAC message authentication code.

Template Parameters

  T | class derived from BlockCipherDocumentation

See also
  CBC MAC for Real-Time Data Sources (08.15.1997) by Erez Petrank and Charles Rackoff

Since
  Crypto++ 3.1

Definition at line 55 of file dmac.h.

## Constructor & Destructor Documentation

## DMAC()

template<class T >

DMAC< T >::DMAC | ( | const byte * | key,
|  | size_t | length = `DMAC_Base<T>::DEFAULT_KEYLENGTH`
| ) |  |

inline

Construct a DMAC.

Parameters

  key | a byte array used to key the cipher
  length | the size of the byte array, in bytes

Definition at line 64 of file dmac.h.

The documentation for this class was generated from the following file:

- dmac.h